Skip to main content

Get User Notifications

GET 

/api/v1/user/notifications

Notifications returned are limited to latest 100.

HTTP RESPONSE

Standard HTTP code and JSON payload as below.

{
"notifications": [
{
"id": 2,
"message": "Collection updated by joe@example.org",
"url": "/collection/1",
"disposal": "ON_ACK",
"timestamp": "2022-05-14T07:08:49Z"
},
{
"id": 1,
"message": "Welcome! New notifications will appear here.",
"url": null,
"disposal": "ON_READ",
"timestamp": "2022-05-15T07:08:15Z"
}
]
}
ParameterDetails
idNotification id, used for disposing
messageNotification text
urlAny associated URL
disposalWhat should be done with the message. See below
timestampISO 8601 datetime indicating when the notification was issued

Notifications have two disposals listed below.

Disposal typeDetails
ON_READDisposed automatically when retrieved
ON_ACKUser must acknowledge the notification to dispose it

Responses

List of user notifications